%define  prever         -pre2
%define  prever_dot     .pre2

Name:           icegenerator
Version:        0.5.5
Release:        0.1%{?prever_dot}%{?dist}
Summary:        A direct streaming generator for Icecast/Shoutcast
Group:          Applications/Multimedia
License:        GPLv2
URL:            http://sourceforge.net/projects/icegenerator
Source0:        http://downloads.sourceforge.net/icegenerator/%{name}-%{version}%{prever}.tar.gz
Source1:        icegenerator.conf
Source2:        icegenerator.init
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  id3lib-devel
BuildRequires:  libshout-devel 
BuildRequires:  mysql-devel >= 5.0 
BuildRequires:  postgresql-devel >= 8.1 
Requires(post): /sbin/chkconfig
Requires(post): /sbin/service
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service

%description
IceGenerator is a direct streaming generator for Icecast/Shoutcast. 
It runs as a daemon. Three child processes handle all the stuff. 
A fourth (optional) child cares about telnet communication.
Main idea for this program is radio automation on a Icecast/Shoutcast server. 
If you have many server processes and CPU saving is your priority, 
you can use IceGenerator.
Obviously mp3s/oggs will be already resampled to allow their streaming 
on your bandwidth capability.

%prep
%setup -q -n %{name}-%{version}%{prever}
# fix wrong-file-end-of-line-encoding 
sed -i 's/\r//' LICENSE

%build
%configure  --with-mysql --with-pgsql --with-id3
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
install -D -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/%{name}.conf
install -D -m 755 %{SOURCE2} %{buildroot}%{_initrddir}/%{name}

%clean
rm -rf %{buildroot}

%post
# installing rpm - add service
if [ $1 -eq 1 ]; then
   /sbin/chkconfig --add %{name}
fi
/sbin/service %{name} condrestart &>/dev/null || :

%preun
# removing rpm - stop and remove service
if [ $1 -eq 0 ]; then
   /sbin/service %{name} stop >/dev/null 2>&1
   /sbin/chkconfig --del %{name}
fi

%postun
if [ "$1" -ge "1" ]; then
        /sbin/service %{name} condrestart &>/dev/null || :
fi

%files 
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog LICENSE README TODO README.IceMetal etc/%{name}.conf.dist
%{_bindir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_initrddir}/%{name}

%changelog
* Wed Jan 17 2007 Paulo Roma <roma@lcg.ufrj.br> - 0.5.5-0.1.pre2
- Initial spec file
